SchoolScout API
ContactsContactidGenerate email

Generate email for contact

Generate a personalized outreach email. Parent district/school must be unlocked and contact must be unlocked. **1 credits per generation.**

POST
/contacts/{contactId}/generate-email

Generate a personalized outreach email. Parent district/school must be unlocked and contact must be unlocked. 1 credits per generation.

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Path Parameters

contactId*string
Formatuuid

Request Body

application/json

email_prompt_id*string

Email prompt to use for generation

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/generate-email" \  -H "Content-Type: application/json" \  -d '{    "email_prompt_id": "550e8400-e29b-41d4-a716-446655440000"  }'
{
  "job_id": "string",
  "job_record_id": "550e8400-e29b-41d4-a716-446655440000",
  "contact_id": "550e8400-e29b-41d4-a716-446655440000",
  "email_prompt_id": "550e8400-e29b-41d4-a716-446655440000",
  "status": "queued",
  "message": "string"
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}
{
  "error": "string",
  "message": "string",
  "balance": 0,
  "required": 0
}
{
  "error": "PARENT_ENTITY_LOCKED",
  "message": "string",
  "parent_entity_type": "district",
  "parent_entity_id": "550e8400-e29b-41d4-a716-446655440000",
  "unlock_cost": 0
}